openSUSE Security Update : libjansson (openSUSE-SU-2014:0394-1)

Medium Nessus Plugin ID 75299


The remote openSUSE host is missing a security update.


libjansson was updated to fix a hash table collission CPU usage denial of service issue, when an attacker can supply his own JSON file.


Update the affected libjansson packages.

See Also

Plugin Details

Severity: Medium

ID: 75299

File Name: openSUSE-2014-224.nasl

Version: $Revision: 1.1 $

Type: local

Agent: unix

Published: 2014/06/13

Modified: 2014/06/13

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:libjansson-debugsource, p-cpe:/a:novell:opensuse:libjansson-devel, p-cpe:/a:novell:opensuse:libjansson4, p-cpe:/a:novell:opensuse:libjansson4-debuginfo, cpe:/o:novell:opensuse:12.3, cpe:/o:novell:opensuse:13.1

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2014/03/11

Reference Information

CVE: CVE-2013-6401